DMIDIPLAYER(1)

NAME

dmidiplayer — Plays MIDI, Karaoke and Cakewalk Files

SYNOPSIS

dmidiplayer [-p|–portable] [-f|–file file] [-d|–driver driver] [-c|–connection connection] [midi_files]
dmidiplayer [-h|–help|-v|–version]

DESCRIPTION

This program is a multiplatform MIDI file player for Linux, Windows and macOS. It reads .MID (Standard MIDI Files), .KAR (Karaoke), .RMI (RIFF RMID), and .WRK (Cakewalk) file formats, and outputs MIDI events to hardware MIDI ports and also software synths.

  Options

-h, –help
    Prints brief usage information.

-v, –version
    Prints the current version number.

-p, –portable
    Portable settings mode.

-f, –file portableFile
    Portable settings file name.

-d, –driver driver
    Drumstick::RT MIDI Out Driver.

-c, –connection connection
    Drumstick::RT MIDI Out Connection.

  Standard Options

The following options apply to all Qt5 applications:

-style= style / -style style
    Set the application GUI style. Possible values depend on the system configuration. If Qt is compiled with additional styles or has additional styles as plugins these will be available to the -style command line option.

-stylesheet= stylesheet / -stylesheet stylesheet
    Set the application styleSheet. The value must be a path to a file that contains the Style Sheet.

-widgetcount
    Print debug message at the end about number of widgets left undestroyed and maximum number of widgets existed at the same time.

-reverse
    Set the application’s layout direction to Qt::RightToLeft. This option is intended to aid debugging and should not be used in production. The default value is automatically detected from the user’s locale (see also QLocale::textDirection()).

-platform platformName[:options]
    Specify the Qt Platform Abstraction (QPA) plugin.

-platformpluginpath path
    Specify the path to platform plugins.

-platformtheme platformTheme
    Specify the platform theme.

-plugin plugin
    Specify additional plugins to load. The argument may appear multiple times.

-qwindowgeometry geometry
    Specify the window geometry for the main window using the X11-syntax. For example: -qwindowgeometry 100x100+50+50

-qwindowicon icon
    Set the default window icon.

-qwindowtitle title
    Set the title of the first window.

-session session
    Restore the application from an earlier session.

-display hostname:screen_number
    Switch displays on X11. Overrides the DISPLAY environment variable.

-geometry geometry
    Specify the window geometry for the main window on X11. For example: -geometry 100x100+50+50

-dialogs= [xp|none]
    Only available for the Windows platform. XP uses native style dialogs and none disables them.

-fontengine= freetype
    Use the FreeType font engine.

  Arguments

midi_files
    Input MID/KAR/RMI/WRK file name(s). The set of provided file names becomes a temporary playlist.

FILES

*.lst
    Playlist files. The last opened or saved playlist file shall be remembered the next time the program is started, but playlists are not saved automatically.

    Playlists are simple text files, with a file name on each text line. The file names can be relative to the location of the playlist file itself (so they do not have an absolute path prepended) or each file can have an absolute path on its own.

    Users may have several playlists that can be created easily outside of the program, for instance in the Linux command line this command creates a playlist file named “my_playlist.lst” with all the MIDI files located at the working directory:

    $ ls -1 *.mid > my_playlist.lst

ENVIRONMENT

DRUMSTICKRT
    Location of Drumstick::RT plugins. Useful if the plugins are not installed at a standard place.

BUGS

See Tickets at Sourceforge <https://sourceforge.net/p/dmidiplayer/tickets/> and GitHub <https://github.com/pedrolcl/dmidiplayer/issues/>

SEE ALSO

qt5options (7)

AUTHORS
Pedro López-Cabanillas <plcl@users.sf.net>.